# Rule (dapr-sdk-parent 1.10.0 API)

Package io.dapr

## Annotation Type Rule

    @Documented
    @Target(ANNOTATION_TYPE)
    @Retention(RUNTIME)
    public @interface Rule

### Required Element Summary

Required Elements
`String` `match` The Common Expression Language (CEL) expression to use to match the incoming cloud event.
`int` `priority` Priority of the rule used for ordering.

### Element Detail

#### match

    String match

The Common Expression Language (CEL) expression to use to match the incoming cloud event. Examples.

Returns:
  the CEL expression.

#### priority

    int priority

Priority of the rule used for ordering. Lowest numbers have higher priority.

Returns:
  the rule's priority.